## didjvu 0.9

=== Makefile ===
# Copyright © 2012-2019 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of didjvu.
#
# didjvu is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# didjvu is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.

PYTHON = python

PREFIX = /usr/local
DESTDIR =

bindir = $(PREFIX)/bin
basedir = $(PREFIX)/share/didjvu
mandir = $(PREFIX)/share/man

.PHONY: all
all: ;

python_exe = $(shell $(PYTHON) -c 'import sys; print(sys.executable)')

.PHONY: install
install: didjvu
	$(PYTHON) - < lib/__init__.py  # Python version check
	install -d $(DESTDIR)$(bindir)
	sed \
		-e "1 s@^#!.*@#!$(python_exe)@" \
		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
		$(<) > $(<).tmp
	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
	rm $(<).tmp
	install -d $(DESTDIR)$(basedir)/lib/xmp
	install -p -m644 lib/xmp/*.py $(DESTDIR)$(basedir)/lib/xmp/
	install -p -m644 lib/*.py $(DESTDIR)$(basedir)/lib/
ifeq "$(DESTDIR)" ""
	umask 022 && $(PYTHON) -m compileall -q $(basedir)/lib/
endif
ifeq "$(wildcard doc/*.1)" ""
	# run "$(MAKE) -C doc" to build the manpage
else
	install -d $(DESTDIR)$(mandir)/man1
	install -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/
endif

.PHONY: test
test: didjvu
	$(PYTHON) $(<) --test --verbose tests/

.PHONY: test-installed
test-installed: $(or $(shell command -v didjvu;),$(bindir)/didjvu)
	didjvu --test --verbose tests/

.PHONY: clean
clean:
	find . -type f -name '*.py[co]' -delete
	find . -type d -name '__pycache__' -delete
	rm -f .coverage
	rm -f *.tmp

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== doc/Makefile ===
# Copyright © 2018-2019 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of didjvu.
#
# didjvu is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# didjvu is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.

rst2xml = $(notdir $(shell command -v rst2xml || echo rst2xml.py)) \
	--input-encoding=UTF-8 \
	--strict

xsl = http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
xsltproc = xsltproc --nonet \
	--param man.authors.section.enabled 0 \
	--param man.charmap.use.subset 0 \
	--param man.font.links '"I"'

.PHONY: all
all: didjvu.1

didjvu.1: manpage.xml
	$(xsltproc) $(xsl) $(<)
	perl -pi -e 's#^(\\%https?://.*)#\\m[blue]\\fI$$1\\fR\\m[]#' $(@)
	perl -pi -e 's/([a-z])\\[*][(]Aq([a-z])/$$1\x27$$2/g' $(@)  # prefer ' to \(aq when used as an apostrophe

.PHONY: check
check: check-changelog check-rst check-xml

.PHONY: check-changelog
check-changelog: changelog
	dpkg-parsechangelog -l$(<) --all 2>&1 >/dev/null | { ! grep .; }

.PHONY: check-rst
check-rst:
	grep -rwl 'ft[=]rst' | xargs -t -I{} $(rst2xml) {} /dev/null

.PHONY: check-xml
check-xml: manpage.xml
	xmllint --nonet --noout --valid $(^)

.PHONY: clean
clean:
	rm -f *.1

# vim:ts=4 sts=4 sw=4 noet

## didjvu 0.2.1

=== debian/changelog ===
didjvu (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #601781).

 -- Daniel Stender <daniel@danielstender.com>  Mon, 07 Feb 2011 01:46:55 +0200

=== debian/control ===
Source: didjvu
Maintainer: Daniel Stender <daniel@danielstender.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
X-Python-Version: >= 2.6
Standards-Version: 3.9.1
Homepage: http://jwilk.net/software/didjvu
Vcs-Svn: svn://svn.debian.org/python-apps/packages/didjvu/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/didjvu/trunk/

Package: didjvu
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python (>= 2.7) | python-argparse, python-gamera (>= 3.2.3),
 python-imaging, djvulibre-bin (>= 3.5.21)
Recommends: minidjvu
Breaks: ${python:Breaks}
Description: DjVu encoder with foreground/background separation
 The DjVu graphics format is very effective because it uses
 multiple layers which are differently compressed. For the
 derivation of the bitonal foreground layer ("mask") of
 (scanned document) images ("segmentation") didjvu uses the
 Gamera framework.
 .
 In the same process didjvu encodes the foreground mask together
 with the background counterpart into DjVu. That's also possible
 for a stack of images which can be processes into a bundled DjVu
 container very easily. The results are suitable for getting high-
 quality OCR data even from problematic scans from old documents.
 Furthermore, didjvu is capable of processing bitonal segmentation on
 colour scans.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/didjvu

override_dh_link:
	mv debian/didjvu/usr/bin/didjvu debian/didjvu/usr/share/didjvu/wrapper
	dh_link /usr/share/didjvu/wrapper /usr/bin/didjvu

## didjvu 0.2.3

=== debian/changelog ===
didjvu (0.2.3-2) unstable; urgency=low

  * Renamed and moved dep on xmp-toolkit from Depends to Suggests
    (now: python-libxmp, Closes: #660572).
  * Bumped standards to 3.9.3 (no changes needed).

 -- Daniel Stender <daniel@danielstender.com>  Sat, 25 Feb 2012 20:01:15 +0200

didjvu (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * Changes of debian/control:
    + Bumped standards to 3.9.2 (no changes needed).
    + Wraped-and-sorted.
    + Removed Breaks.
    + Moved dep on Minidjvu from Recommends to Depends (following
      doc/dependencies.txt).
    + Added dep on python-xmp-toolkit.
  * Changes of debian/copyright:
    + Changed DEP5 URI.
    + Changed Source URL.
    + Expanded copyright to cover 2012.
    + Removed spurious blank lines.
    + Removed spurious commas.
  * Changes in debian/rules:
    + Removed dh_auto_install and override_dh_link (added debian/install
      and links).
    + Added override for dh_installchangelogs.

 -- Daniel Stender <daniel@danielstender.com>  Mon, 20 Feb 2012 00:32:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog

## didjvu 0.2.7

=== debian/changelog ===
didjvu (0.2.7-1) unstable; urgency=low

  [ Daniel Stender ]
  * New upstream release (Closes: #683581).
  * Bumped debhelper level to 9 (deb/control and deb/compat).
  * Added deb/docs to include doc/credits.txt.
  * deb/control:
    + bumped standards to 3.9.4 (no changes needed).
    + added pyexiv2 to Suggests and b-p.
    + changed Python dependencies (cf. #707807).
  * deb/copyright: expanded copyrights to 2013.
  * deb/rules:
    + removed override for dh_installchangelogs (not needed).
    + added execution of tests.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Daniel Stender <daniel@danielstender.com>  Mon, 03 Jun 2013 17:47:57 +0200

=== debian/control ===
Source: didjvu
Maintainer: Daniel Stender <daniel@danielstender.com>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Section: graphics
Priority: optional
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-all (>= 2.7.3-5~) | python-argparse (>= 1.2.1-2~),
 python-nose,
 python-pyexiv2
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: http://jwilk.net/software/didjvu
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/didjvu/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/

Package: didjvu
Architecture: all
Depends:
 djvulibre-bin (>= 3.5.21),
 minidjvu (>= 0.8),
 python (>= 2.7) | python-argparse,
 python-gamera (>= 3.2.3),
 python-imaging,
 ${misc:Depends},
 ${python:Depends}
Suggests: python-libxmp | python-pyexiv2 (>= 0.3)
Description: DjVu encoder with foreground/background separation
 The DjVu graphics format is very effective because it uses
 multiple layers which are differently compressed. For the
 derivation of the bitonal foreground layer ("mask") of
 (scanned document) images ("segmentation") didjvu uses the
 Gamera framework.
 .
 In the same process didjvu encodes the foreground mask together
 with the background counterpart into DjVu. That's also possible
 for a stack of images which can be processes into a bundled DjVu
 container very easily. The results are suitable for getting high-
 quality OCR data even from problematic scans from old documents.
 Furthermore, didjvu is capable of processing bitonal segmentation on
 colour scans.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	cd tests && set -e -x; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests --all-modules --verbose; \
	done
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/didjvu/didjvu-([0-9.]+).tar.gz

## didjvu 0.2.8

=== debian/changelog ===
didjvu (0.2.8-1) unstable; urgency=low

  * New upstream release (Closes: #743677).
  * bumped standards to 3.9.5 (no changes needed).
  * deb/copyright:
    + changed maintainer email address.
    + expanded copyrights to 2014.
  * deb/rules:
    + changed maintainer email address.
  * deb/watch: added pgpsigurlmangle (also added deb/upstream-signing-key.pgp).

 -- Daniel Stender <debian@danielstender.com>  Thu, 19 Jun 2014 11:16:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: didjvu
-Maintainer: Daniel Stender <daniel@danielstender.com>
+Maintainer: Daniel Stender <debian@danielstender.com>
 Uploaders:
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Section: graphics
@@ -11,7 +11,7 @@
  python-nose,
  python-pyexiv2
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://jwilk.net/software/didjvu
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/didjvu/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://pypi.python.org/packages/source/d/didjvu/didjvu-([0-9.]+).tar.gz

## didjvu 0.6

=== debian/changelog ===
didjvu (0.6-1ubuntu3) wily; urgency=medium

  * debian/control: build-depends on language-pack-base-en

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 15:40:05 +0200

didjvu (0.6-1ubuntu2) wily; urgency=medium

  * debian/control: build-depends on locales instead

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 15:31:30 +0200

didjvu (0.6-1ubuntu1) wily; urgency=medium

  * debian/control: don't build-depends on locales-all, that package doesn't
    exist in Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 15:13:06 +0200

didjvu (0.6-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: updated Depends (python-pil).

 -- Daniel Stender <debian@danielstender.com>  Fri, 29 May 2015 08:43:05 +0200

didjvu (0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Tue, 19 May 2015 14:32:32 +0200

didjvu (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + added build-dep on locales-all and python-libxmp.
    + added Testsuite element.
  * deb/tests/control: added deps on locales-all and python-libxmp.

 -- Daniel Stender <debian@danielstender.com>  Thu, 14 May 2015 11:12:26 +0200

didjvu (0.4-1) unstable; urgency=medium

  * New upstream release (Closes: #784888).
  * Fixed upstream-signing-key.
  * deb/control:
    + added dh_python, python-pil, python-gamera, and djvulibre-bin
      to build deps.
    + dropped unnecessary dep versions.
    + bumped standards to 3.9.6 (no changes needed).
  * deb/copyright: expanded copyright span.
  * deb/rules: added DEB_BUILD_OPTIONS export line.
  * deb/watch: watch pypi.debian.net.
  * Added DEP-8 test suite.

 -- Daniel Stender <debian@danielstender.com>  Tue, 12 May 2015 13:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,42 @@
 Source: didjvu
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
 Uploaders:
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Section: graphics
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
- python-all (>= 2.6.6-3~),
+ dh-python,
+ djvulibre-bin,
+ locales,
+ language-pack-en-base,
+ python-all,
  python-all (>= 2.7.3-5~) | python-argparse (>= 1.2.1-2~),
+ python-gamera,
+ python-libxmp,
  python-nose,
+ python-pil,
  python-pyexiv2
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://jwilk.net/software/didjvu
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/didjvu/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/
+Testsuite: autopkgtest
 
 Package: didjvu
 Architecture: all
 Depends:
- djvulibre-bin (>= 3.5.21),
- minidjvu (>= 0.8),
+ djvulibre-bin,
+ minidjvu,
  python (>= 2.7) | python-argparse,
- python-gamera (>= 3.2.3),
- python-imaging,
+ python-gamera,
+ python-pil,
  ${misc:Depends},
  ${python:Depends}
-Suggests: python-libxmp | python-pyexiv2 (>= 0.3)
+Suggests:
+ python-libxmp | python-pyexiv2 (>= 0.3)
 Description: DjVu encoder with foreground/background separation
  The DjVu graphics format is very effective because it uses
  multiple layers which are differently compressed. For the

=== debian/tests/control ===
Tests: didjvu
Depends: djvulibre-bin, locales-all, python-libxmp, python-gamera, python-nose, python-pil, python-pyexiv2

## didjvu 0.8

=== debian/changelog ===
didjvu (0.8-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: build-depends on language-pack-base-en
      and locales.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Mar 2016 10:49:19 +0100

didjvu (0.8-2) unstable; urgency=medium

  * deb/control:
    + bumped Standards-Version to 3.9.7 (no changes needed).
    + use HTTPS for Vcs-Browser.
    + removed Testsuite field (deprecated).
  * deb/copyright: expanded copyright span for debian/*.
  * deb/tests/control: added deps for gexiv2/python-gi.

 -- Daniel Stender <debian@danielstender.com>  Fri, 19 Feb 2016 19:46:42 +0100

didjvu (0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Tue, 01 Dec 2015 21:52:29 +0100

didjvu (0.7-1) unstable; urgency=medium

  * New upstream release:
    + updated block-pyexiv2-backend.patch.
    + deb/control: added deps for new GEvix2 XMP backend.
  * deb/copyright: updated Source.

 -- Daniel Stender <debian@danielstender.com>  Sat, 03 Oct 2015 22:01:17 +0200

didjvu (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Temporarily don't depend on python-pyexiv2 (Closes: #797077),
    added deb/NEWS containing info on this, and block-pyexiv2-backend.patch.

 -- Daniel Stender <debian@danielstender.com>  Fri, 28 Aug 2015 10:22:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,15 @@
  python-all,
  python-all (>= 2.7.3-5~) | python-argparse (>= 1.2.1-2~),
  python-gamera,
+ gir1.2-gexiv2-0.10 (>= 0.10.3), python-gi,
  python-libxmp,
  python-nose,
- python-pil,
- python-pyexiv2
+ python-pil
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://jwilk.net/software/didjvu
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/didjvu/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/
-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/
 
 Package: didjvu
 Architecture: all
@@ -36,7 +35,7 @@
  ${misc:Depends},
  ${python:Depends}
 Suggests:
- python-libxmp | python-pyexiv2 (>= 0.3)
+ gir1.2-gexiv2-0.10 (>= 0.10.3), python-gi | python-libxmp
 Description: DjVu encoder with foreground/background separation
  The DjVu graphics format is very effective because it uses
  multiple layers which are differently compressed. For the

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+#export DEB_BUILD_OPTIONS=nocheck
 
 %:
 	dh $@ --with python2

=== debian/tests/control ===
Tests: didjvu
Depends: djvulibre-bin, locales-all, python-gamera, python-nose, python-pil, python-libxmp, gir1.2-gexiv2-0.10, python-gi

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/didjvu/didjvu-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## didjvu 0.8.1

=== debian/changelog ===
didjvu (0.8.1-2) unstable; urgency=medium

  * use debhelper level 10 (changes in deb/control and deb/compat).
  * deb/control:
    + bump standards version to 4.0.0 (no further changes needed).
  * deb/copyright:
    + use https in Format field.
    + expand copyright span.
  * deb/watch: watch github.com/jwilk/didjvu.

 -- Daniel Stender <stender@debian.org>  Fri, 14 Jul 2017 21:36:20 +0200

didjvu (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + update maintainer email address.
    + bump standards to 3.9.8 (no changes needed).
  * deb/copyright:
    + update source URL (project moved to Github).
    + extend copyright span.
    + update my email address.

 -- Daniel Stender <stender@debian.org>  Fri, 18 Nov 2016 20:02:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: didjvu
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Uploaders:
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  djvulibre-bin,
- locales,
- language-pack-en-base,
+ locales-all,
  python-all,
  python-all (>= 2.7.3-5~) | python-argparse (>= 1.2.1-2~),
  python-gamera,
@@ -19,7 +17,7 @@
  python-nose,
  python-pil
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://jwilk.net/software/didjvu
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/didjvu/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/

## didjvu 0.8.2

=== debian/changelog ===
didjvu (0.8.2-2+deb10u1) buster; urgency=medium

  * Add missing build-dependency on tzdata. Closes: #943695.
  * Package is orphaned, set Maintainer to "Debian QA Group".

 -- Santiago Vila <sanvila@debian.org>  Mon, 04 Jan 2021 20:11:00 +0100

didjvu (0.8.2-2) unstable; urgency=medium

  * drop python-libxmp from deps throughout (Closes: #921747).

 -- Daniel Stender <stender@debian.org>  Wed, 27 Feb 2019 05:34:17 +0100

didjvu (0.8.2-1) unstable; urgency=medium

  * New upstream release:
    + unfuzz block-pyexiv2-backend.patch.
  * deb/copyright: bump copyright span of upstream.
  * deb/rules: remove empty endline.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

 -- Daniel Stender <stender@debian.org>  Sat, 04 Aug 2018 11:21:51 +0200

didjvu (0.8.1-3) unstable; urgency=medium

  * deb/control: bump standards to 4.1.3 (no changes needed).
  * deb/copyright: expand copyright span.
  * add deb/gbp.conf.

  [ svn-git-automigration ]
  * deb/control: update Vcs fields (moved to salsa).

 -- Daniel Stender <stender@debian.org>  Wed, 07 Mar 2018 18:15:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: didjvu
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Uploaders:
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Section: graphics
@@ -13,14 +13,13 @@
  python-all (>= 2.7.3-5~) | python-argparse (>= 1.2.1-2~),
  python-gamera,
  gir1.2-gexiv2-0.10 (>= 0.10.3), python-gi,
- python-libxmp,
  python-nose,
- python-pil
-X-Python-Version: >= 2.6
-Standards-Version: 4.0.0
+ python-pil,
+ tzdata
+Standards-Version: 4.1.3
 Homepage: http://jwilk.net/software/didjvu
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/didjvu/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/didjvu/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/didjvu.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/didjvu
 
 Package: didjvu
 Architecture: all
@@ -33,7 +32,7 @@
  ${misc:Depends},
  ${python:Depends}
 Suggests:
- gir1.2-gexiv2-0.10 (>= 0.10.3), python-gi | python-libxmp
+ gir1.2-gexiv2-0.10 (>= 0.10.3), python-gi
 Description: DjVu encoder with foreground/background separation
  The DjVu graphics format is very effective because it uses
  multiple layers which are differently compressed. For the

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 		$$python /usr/bin/nosetests --all-modules --verbose; \
 	done
 endif
-

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/jwilk/didjvu/releases (?:.*)didjvu-(\d[\d\.]+)@ARCHIVE_EXT@

## didjvu 0.9

=== debian/changelog ===
didjvu (0.9-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + add version to gamera build-dep and binary.
    + bump debhelper version to 11.
    + bump standards to 4.4.0 (no changes needed).
  * deb/copyright:
    + expand copyright spans.
  * update debian/doc.
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Daniel Stender <stender@debian.org>  Mon, 09 Sep 2019 19:41:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: didjvu
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Daniel Stender <stender@debian.org>
 Uploaders:
  Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 11),
  dh-python,
  djvulibre-bin,
  locales-all,
  python-all,
  python-all (>= 2.7.3-5~) | python-argparse (>= 1.2.1-2~),
- python-gamera,
+ python-gamera (>= 3.3.2~),
  gir1.2-gexiv2-0.10 (>= 0.10.3), python-gi,
  python-nose,
- python-pil,
- tzdata
-Standards-Version: 4.1.3
+ python-pil
+Standards-Version: 4.4.0
 Homepage: http://jwilk.net/software/didjvu
 Vcs-Git: https://salsa.debian.org/python-team/applications/didjvu.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/didjvu
@@ -27,7 +26,7 @@
  djvulibre-bin,
  minidjvu,
  python (>= 2.7) | python-argparse,
- python-gamera,
+ python-gamera (>= 3.3.2~),
  python-pil,
  ${misc:Depends},
  ${python:Depends}
